# eric7.Plugins.VcsPlugins.vcsGit.GitOptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Global Attributes

None

### Classes

GitOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## GitOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

QDialog, Ui_GitOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.

### Static Methods

None

#### GitOptionsDialog (Constructor)

GitOptionsDialog(vcs, project, parent=None)

Constructor

vcs
  reference to the version control object
project
  reference to the project object
parent
  parent widget (QWidget)

#### GitOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Return:
  a dictionary containing the data entered

Up